Other OGC APIs
These APIs provide access to geo-spatial data and services through the GeoServerGeoServerThe component for geo-spatial content on the platform. Access to its layers and layer groups is controlled by roles that are specific to each data space. via the APISIX endpoint /geoserver. Each API corresponds to a different OGC standard, such as WMS, WFS, WMTS, and more, and enables a variety of geo-spatial operations including map rendering, feature querying, and raster data access.
To utilize an API via APISIX, you need an account registered on our KeycloakKeycloakThe component that manages access to data spaces across all platform components. It uses realms, clients, roles, users, and groups, and represents each data space through specific roles. IDM, and an administrator needs to grant you access to a workspace.
Data spaces
These APIs facilitate a generic approach to tenancy through the division of data into so-called data spacesData spaceA thematic area that contains specific data and resources in different platform components. Data is stored in exactly one data space, and access rights are specific to each data space. Roles within a data space control what users and groups can do in it.. These data spacesData spaceA thematic area that contains specific data and resources in different platform components. Data is stored in exactly one data space, and access rights are specific to each data space. Roles within a data space control what users and groups can do in it. are represented as GeoServerGeoServerThe component for geo-spatial content on the platform. Access to its layers and layer groups is controlled by roles that are specific to each data space. workspaces and can only be accessed if your KeycloakKeycloakThe component that manages access to data spaces across all platform components. It uses realms, clients, roles, users, and groups, and represents each data space through specific roles. user is a member of the related group and you have been granted a role to read data in this data spaceData spaceA thematic area that contains specific data and resources in different platform components. Data is stored in exactly one data space, and access rights are specific to each data space. Roles within a data space control what users and groups can do in it..
Additional Documentation
The official website provides multiple guides, best practices, and maintains Git repositories with use cases and data models.
- WFS Operations
- WMS Operations
- WMTS Operations
- CSW Operations
- WCS Operations
- WPS Operations
- TMS Documentation
Description of the REST API Configuration
Examples
Before the following examples can be executed, an access token must be created. The following guide can help with that: How to Get an Access Token.
Note: Unlike other APIs, GeoServerGeoServerThe component for geo-spatial content on the platform. Access to its layers and layer groups is controlled by roles that are specific to each data space. access requires a token obtained for the
geostackclient rather thanapi-accessand your account must have the relevant geostack roles assigned to access the particular workspaces. For a reference of API calls, see the civitas-core repository — the collection is located intests/api_collection/.
Tip: All cURL commands given can be used in tools like Postman by just copying the curl command into the request field.
WMS GetCapabilities
curl --location 'https://geoportal.civitas-core.de/geoserver/wms?service=WMS&version=1.3.0&request=GetCapabilities' \
--header 'Authorization: Bearer <access token>'

WFS DescribeFeatureType
curl --location 'https://geoportal.civitas-core.de/geoserver/ds_open_data/ows?REQUEST=GetFeature&VERSION=1.3.0&SERVICE=wfs&TYPENAMES=ds_open_data:pln_teilraeume_fla' \
--header 'Authorization: Bearer <access token>'
